.donuts-sky {
  padding-top: 50px;
}

.lever-img {
  background-image: url(/img/lever.png);
  width: 296px;
  height: 165px;
  margin: 0 auto;
  cursor: pointer;
  transition: 0.3s;
}

/* .lever-img:hover {
  background-image: url(/img/lever-hover.png);
} */

img.cloud-left,
img.cloud-right {
  width: 30%;
  position: absolute;
  z-index: 2;
}


img.cloud-left {
  left: 0;
  bottom: 17%;
}

img.cloud-right {
  right: 0;
  bottom: 17%;
}

section.donuts-history {
  text-align: center;
}

img.rasberry {
  position: absolute;
  top: 0;
  left: 340px;
}

img.wheat-blur {
  position: absolute;
  left: -210px;
  top: -280px;
}

img.wheat {
  position: absolute;
  bottom: 0;
  left: -100px;
}

.donuts-history .right-block {
  display: flex;
  align-items: center;
  width: 48%;
}

img.blurred-rasberry-left {
  position: absolute;
  top: -25px;
  left: 40px;
}

img.chocolate-double-donuts {
  position: absolute;
  top: -60px;
  z-index: -1;
  left: 50%;
}

img.blurred-rasberry-right {
  position: absolute;
  right: -120px;
  top: 5%;
}

.donuts-explore .left-block {
  width: 58%;
}

.donuts-explore .text-box-large {
  margin-top: 23%;
  margin-left: auto;
}

img.triple-donuts-love {
  position: absolute;
  left: 10px;
  z-index: -1;
}

img.chocolate-bar {
  position: absolute;
  top: 0;
  right: 85px;
  z-index: 1;
}

.donuts-our-creations {
  text-align: center;
}

.donuts-preview {
  width: 100%;
  max-width: 310px;
  text-align: center;
  border-radius: 15px;
}

.donuts-preview-container {
  margin-top: 50px;
  gap: 50px;
  row-gap: 220px;
}

.donut-preview-border {
  position: relative;
  border: 2px solid #c8a78e;
  border-radius: 15px;
  min-width: 240px;
  max-width: 240px;
  height: 260px;
  margin: 0 auto;
}

.donut-preview-bg {
  content: "";
  display: block;
  position: absolute;
  top: 20px;
  left: 50%;
  transform: translateX(-50%);
  width: 202px;
  height: 231px;
  background: linear-gradient(169deg, #f4ddc9, #ffffff);
  border-radius: 15px;
  transition: 0.5s;
}

.donut-preview-bg h4 {
  position: absolute;
  top: 40px;
  left: 50%;
  width: 100%;
  transform: translateX(-50%);
  font-size: 18px;
  color: var(--chocolate-color);
}

.donut-preview-bg a {
  position: absolute;
  bottom: 25px;
  left: 50%;
  transform: translateX(-50%);
  max-width: 175px;
}

.donut-preview-border img {
  position: absolute;
  bottom: -130px;
  left: -40px;
  z-index: 1;
}

@media only screen and (min-width: 768px) {
  .donut-preview-border:hover .donut-preview-bg {
    height: 422px;
  }
}

.donuts-magic-moments {
  margin: 220px 0 0;
  text-align: center;
}

.donuts-magic-moments .text-box-medium {
  margin: 0 auto;
  /* padding: 70px 95px 61px; */
}

.donuts-magic-moments img {
  width: 100%;
  max-width: max-content;
}

section.donuts-explore .right-block {
  text-align: right;
}

.donut-preview-border .donut-preview-bg.open {
  height: 422px;
}

section.donuts-magic-moments img {
    margin: 90px 0;
}

/*RESPONSIVE*/

@media only screen and (max-width: 1785px) {
  img.chocolate-bar {
    position: absolute;
    top: -40px;
    right: 85px;
    z-index: 1;
  }
  .donuts-history .text-box-medium {
    margin: 0 10px;
  }

  .donuts-explore .text-box-large {
    margin-left: 10px;
  }
}

@media only screen and (max-width: 1550px) {
  .donuts-history img,
  .donuts-explore img {
    max-width: 80%;
  }

  img.chocolate-bar {
    position: absolute;
    top: -70px;
    right: 85px;
    z-index: 1;
  }

  .donuts-history .text-box-medium {
    max-height: max-content;
  }
  .donuts-explore .text-box-large {
    max-height: max-content;
  }
}

@media only screen and (max-width: 1380px) {
  .donuts-our-creations {
    padding: 0 20px;
  }

  img.chocolate-bar {
    position: absolute;
    top: -100px;
    right: 35px;
    z-index: 1;
  }

  .text-container h3 {
    font-size: 21px;
  }

  .text-box-medium p {
    font-size: 16px;
  }
}

@media only screen and (max-width: 1320px) {
  section.donuts-magic-moments {
    padding: 0 10px;
    margin-bottom: 150px;
  }
  .donut-preview-border:hover .donut-preview-bg {
    height: 410px;
  }
}

@media only screen and (max-width: 1200px) {
  img.triple-donuts-love,
  img.wheat,
  img.rasberry,
  img.wheat-blur,
  img.chocolate-double-donuts,
  img.blurred-rasberry-left,
  img.blurred-rasberry-right,
  img.chocolate-bar {
    display: none;
  }

  .donuts-history .left-block {
    text-align: left;
    max-width: 50%;
  }

  .donuts-history .d-flex {
    flex-direction: column-reverse;
    row-gap: 20px;
  }

  .donuts-history .right-block {
    display: flex;
    align-items: center;
    width: 100%;
    justify-content: center;
  }

  .donuts-history .left-block {
    text-align: center;
    max-width: 100%;
  }

  .donuts-history img,
  .donuts-explore img {
    max-width: 60%;
  }

  .donuts-explore .d-flex {
    flex-direction: column;
    row-gap: 20px;
  }

  img.donuts-explotion {
    max-width: 50%;
  }

  .donuts-explore .text-box-large {
    max-height: max-content;
    margin: 20px auto;
  }
  .donuts-explore .left-block {
    width: 100%;
    text-align: center;
    padding: 0 10px;
  }

  section.donuts-magic-moments {
    padding: 0 10px;
  }
  .donuts-magic-moments .text-box-medium {
    max-height: fit-content;
  }
}

@media only screen and (max-width: 768px) {
  img.cloud-left {
    left: 0;
    bottom: 0px;
  }
  img.cloud-right {
    right: 0;
    bottom: 0px;
  }

  .donut-preview-border .donut-preview-bg {
    height: 422px;
  }
}
@media only screen and (max-width: 767px) {
  .donut-preview-bg a {
    bottom: 0;
  }
}

@media only screen and (max-width: 500px) {
  .donuts-history img {
    max-width: 100%;
  }
  img.donuts-explotion {
    max-width: 90%;
  }

  .text-container h3 {
    font-size: 18px;
  }
  .text-box-medium p {
    font-size: 15px;
  }
}

@media only screen and (max-width: 425px) {
  .lever-img {
    height: 135px;
    max-width: 50%;
    background-size: contain;
    background-repeat: no-repeat;
  }
}
